Subject: Re: 'make update' question
To: Marc Recht <>
From: Brian Hechinger <>
List: tech-pkg
Date: 07/17/2004 09:28:12
On Fri, Jul 16, 2004 at 07:04:07PM +0200, Marc Recht wrote:
> Of course. It ensures that the dependencies of the pkg will be built 
> against correct libraries or simply put: against/with the new version.

hmmm, ok, that's fair.

> Oh, we have: make replace

so this would be used for replacing the same version with the same version, as
we know that the dependencies are ok?

except that:

===> Replacing gmake-3.80nb3
*** WARNING - experimental target - data loss may be experienced ***
No /usr/pkg/bin/pkg_tarup binary - can't pkg_tarup gmake
*** Error code 1

make: stopped in /usr/pkgsrc/devel/gmake
*** Error code 1

make: stopped in /usr/pkgsrc/devel/gmake

"Suits, man.  They are as incapable of
logical thought as they are of honesty."	-- Dave McGuire --